View Issue Details

IDProjectCategoryView StatusLast Update
0002225Industrial-Craft²crossmod-compatibility / submodules / APIpublic2017-07-18 13:45
ReportersmudgeroxAssigned ToPlayer 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002225: severe lag spikes with refined storage
Descriptioninvalid energy net grid updates create severe lag spikes (think 5-10s or more). (see attached log)

the dev claimed ic2 was causing it when another user reported the same issue.

https://github.com/raoulvdberge/refinedstorage/issues/1341
Steps To Reproduceinstall ic2, refined storage, and reborn storage, connect power to controller

(doesn't even have to be ic2 power, or have power enabled for said block)
Additional Informationlatest ic2 (2.2.6.245)
latest refined storage (1.2.26)
latest reborn storage (1.0.3.30)
TagsNo tags attached.
Minecraft Version1.10.2

Activities

smudgerox

2017-07-07 06:55

reporter  

logspamspikes.txt (2,154 bytes)
[23:37:52] [Server thread/WARN] [IC2.EnergyNet/]: Tile com.raoulvdberge.refinedstorage.integration.ic2.ControllerEnergyIC2$1@7648c422 (dim 0: 63/69/3019) was invalidated in grid update (ADDITION)
[23:37:52] [Server thread/WARN] [IC2.EnergyNet/]: Tile com.raoulvdberge.refinedstorage.integration.ic2.ControllerEnergyIC2$1@295f144a (dim 0: -3573/166/3520) was invalidated in grid update (ADDITION)
[23:37:56] [Server thread/WARN]: Can't keep up! Did the system time change, or is the server overloaded? Running 3025ms behind, skipping 60 tick(s)
[23:40:04] [ic2-poolthread-1/WARN] [IC2.EnergyNet/IC2]: Tile com.raoulvdberge.refinedstorage.integration.ic2.ControllerEnergyIC2$1@7648c422 (dim 0: 63/69/3019) removal without registration
[23:40:06] [Server thread/WARN] [IC2.EnergyNet/]: Tile com.raoulvdberge.refinedstorage.integration.ic2.ControllerEnergyIC2$1@4090c20b (dim 0: 63/69/3019) was invalidated in grid update (ADDITION)
[23:40:06] [Server thread/WARN]: Can't keep up! Did the system time change, or is the server overloaded? Running 9284ms behind, skipping 185 tick(s)
[23:40:56] [ic2-poolthread-3/WARN] [IC2.EnergyNet/]: Tile com.raoulvdberge.refinedstorage.integration.ic2.ControllerEnergyIC2$1@4090c20b (dim 0: 63/69/3019) removal without registration
[23:40:58] [Server thread/WARN] [IC2.EnergyNet/]: Tile com.raoulvdberge.refinedstorage.integration.ic2.ControllerEnergyIC2$1@77912a79 (dim 0: 63/69/3019) was invalidated in grid update (ADDITION)
[23:40:58] [Server thread/WARN]: Can't keep up! Did the system time change, or is the server overloaded? Running 9253ms behind, skipping 185 tick(s)
[23:41:49] [ic2-poolthread-1/WARN] [IC2.EnergyNet/IC2]: Tile com.raoulvdberge.refinedstorage.integration.ic2.ControllerEnergyIC2$1@77912a79 (dim 0: 63/69/3019) removal without registration
[23:41:51] [Server thread/WARN] [IC2.EnergyNet/]: Tile com.raoulvdberge.refinedstorage.integration.ic2.ControllerEnergyIC2$1@cc0b433 (dim 0: 63/69/3019) was invalidated in grid update (ADDITION)
[23:41:51] [Server thread/WARN]: Can't keep up! Did the system time change, or is the server overloaded? Running 9781ms behind, skipping 195 tick(s)
logspamspikes.txt (2,154 bytes)

Aroma1997

2017-07-13 07:34

developer   ~0005375

Could you install sampler (you can get it here https://forum.industrial-craft.net/thread/10820- ) and enter "/sampler trigger ticktime 2000" and send us the resulting nps file?

Player

2017-07-13 19:21

administrator   ~0005381

I pushed a workaround for the warnings, although that's just based on guessing the cause.

The performance issue is most likely unrelated, but the NPS file will tell more.

smudgerox

2017-07-14 05:41

reporter   ~0005382

i probably should have updated this but i've been busy with work. player is correct, the performance issue was unrelated to ic2, just coinciding with the enet warnings, i guess both things were happening when the RS network updated or something. reborn storage is actually the issue there. the spikes stopped when i removed the blocks from my world.

ButtonBright

2017-07-17 16:57

reporter   ~0005386

I am having a similar issue with a server i play on. the console is spammed with
[10:45:10] [ic2-poolthread-3/WARN] [IC2.EnergyNet]: Tile com.raoulvdberge.refinedstorage.integration.ic2.ControllerEnergyIC2$1@50a54b6f (dim 0: -162/70/293) removal without registration
[10:45:12] [Server thread/WARN] [IC2.EnergyNet]: Tile com.raoulvdberge.refinedstorage.integration.ic2.ControllerEnergyIC2$1@ac3b9d6 (dim 0: -162/70/293) was invalidated in grid update (ADDITION)

How would i get that fix Player pushed?

Player

2017-07-17 17:57

administrator   ~0005387

You just need to grab the latest build from Jenkins ( http://jenkins.ic2.player.to/job/IC2_110/ ) and replace your existing ic2 jar with it.

smudgerox

2017-07-18 07:23

reporter   ~0005388

the fix works perfectly player, thank you. i appreciate the quick fix :)

Issue History

Date Modified Username Field Change
2017-07-07 06:55 smudgerox New Issue
2017-07-07 06:55 smudgerox File Added: logspamspikes.txt
2017-07-13 07:34 Aroma1997 Note Added: 0005375
2017-07-13 19:21 Player Note Added: 0005381
2017-07-14 05:41 smudgerox Note Added: 0005382
2017-07-17 16:57 ButtonBright Note Added: 0005386
2017-07-17 17:57 Player Note Added: 0005387
2017-07-18 07:23 smudgerox Note Added: 0005388
2017-07-18 13:45 Chocohead Status new => resolved
2017-07-18 13:45 Chocohead Fixed in Version => Builds for MC 1.10.x
2017-07-18 13:45 Chocohead Resolution open => fixed
2017-07-18 13:45 Chocohead Assigned To => Player